#!/bin/sh
if [ $# -lt 1 ]; then
	echo "$0 SearchWord [Grep Option(eg. -i)]"
	exit 1
fi
exitproc()
{ rm -f ${TMPFILE}; }
trap '
exitproc
exit 1
' 2 15
SEARCH=$1
OPTION="-n $2"
TMPFILE=/tmp/$USER.grepwords
cat>$TMPFILE<<EOT
 text
 XML
EOT
echo -n "Current Path:"
echo `pwd`
echo "search word:${SEARCH}"
echo "Option:${OPTION}"
echo && echo && echo && echo
find . -type f|while read -r i
do file "${i}"|grep -f $TMPFILE> /dev/null && echo "${i}"
done|while read -r i
do grep ${OPTION} "${SEARCH}" "${i}" && echo "${i}" \
&& echo && echo && echo && echo
done
exitproc
echo -en '\a'>&2
