#!/bin/sh -ex
test `id -u` -ne 0 && echo "Run as root" && exit 1

test ! -e /initrd.img && echo "/initrd.img not found" && exit 1

mkdir work

! test -d contentfiles && tar -xvpf contentfiles.tar

cd work
gzip -dc /initrd.img|cpio -idmv

../scripts/update-initrd.sh
cd ..

echo "Done."
#set +x;echo;echo;
#./check.sh
